Bug 15593 - [PATCH] Add transliteration data for "LATIN SMALL LETTER O WITH STROKE" (ø).
Summary: [PATCH] Add transliteration data for "LATIN SMALL LETTER O WITH STROKE" (ø).
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-06 17:10 IST by Toke Høiland-Jørgensen
Modified: 2015-05-05 09:20 IST (History)
5 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
Patch to add transliteration data for ø/Ø characters. (419 bytes, patch)
2013-06-06 17:10 IST, Toke Høiland-Jørgensen
Details | Diff
v2 of patch, making the base translation be ø -> oe (298 bytes, patch)
2013-06-07 13:29 IST, Toke Høiland-Jørgensen
Details | Diff
Updated patch adding data to translit_neutral file (294 bytes, patch)
2013-10-28 13:18 IST, Toke Høiland-Jørgensen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toke Høiland-Jørgensen 2013-06-06 17:10:08 IST
Created attachment 7062 [details]
Patch to add transliteration data for ø/Ø characters.

Currently, glibc has no transliteration entry for the "LATIN SMALL LETTER O WITH STROKE" and "LATIN CAPITAL LETTER O WITH STROKE" code points, which are commonly used in Danish. This patch against the git master branch adds that to the translit_combining file (ø -> o and Ø -> O), and to the da_DK locale (ø -> oe, Ø -> OE).

Based on related patch for the Norwegian locale (see http://sourceware.org/bugzilla/show_bug.cgi?id=89).
Comment 1 keld@keldix.com 2013-06-06 20:43:03 IST
On Thu, Jun 06, 2013 at 05:10:08PM +0000, toke at toke dot dk wrote:
> http://sourceware.org/bugzilla/show_bug.cgi?id=15593
> 
>             Bug ID: 15593
>            Summary: [PATCH] Add transliteration data for "LATIN SMALL
>                     LETTER O WITH STROKE" (ø).
>            Product: glibc
>            Version: unspecified
>             Status: NEW
>           Severity: normal
>           Priority: P2
>          Component: localedata
>           Assignee: unassigned at sourceware dot org
>           Reporter: toke at toke dot dk
>                 CC: libc-locales at sourceware dot org
> 
> Created attachment 7062 [details]
>   --> http://sourceware.org/bugzilla/attachment.cgi?id=7062&action=edit
> Patch to add transliteration data for ø/Ø characters.
> 
> Currently, glibc has no transliteration entry for the "LATIN SMALL LETTER O
> WITH STROKE" and "LATIN CAPITAL LETTER O WITH STROKE" code points, which are
> commonly used in Danish. This patch against the git master branch adds that to
> the translit_combining file (ø -> o and Ø -> O), and to the da_DK locale (ø ->
> oe, Ø -> OE).
> 
> Based on related patch for the Norwegian locale (see
> http://sourceware.org/bugzilla/show_bug.cgi?id=89).

I would rather recommend that the base transliteration would be ø -> oe and Ø -> OE

best regards
keld
Comment 2 Toke Høiland-Jørgensen 2013-06-07 13:29:09 IST
Created attachment 7064 [details]
v2 of patch, making the base translation be ø -> oe

Fine with me; v2 of the patch just does ø -> oe for the base transliteration.
Comment 3 Carlos O'Donell 2013-06-07 14:28:05 IST
(In reply to Toke Høiland-Jørgensen from comment #2)
> Created attachment 7064 [details]
> v2 of patch, making the base translation be ø -> oe
> 
> Fine with me; v2 of the patch just does ø -> oe for the base transliteration.

Keld,

Given that you've reviewed this issue; if you would like to help with the project I would be more than happy to have you as a maintainer with the ability to commit to the repository. We need more help in all areas and an experienced person like yourself could do wonders to improve our localization efforts. I would be more than happy to have you involved.
Comment 4 keld@keldix.com 2013-06-07 23:58:09 IST
On Fri, Jun 07, 2013 at 02:28:05PM +0000, carlos at redhat dot com wrote:
> http://sourceware.org/bugzilla/show_bug.cgi?id=15593
> 
> Carlos O'Donell <carlos at redhat dot com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |carlos at redhat dot com
> 
> --- Comment #3 from Carlos O'Donell <carlos at redhat dot com> ---
> (In reply to Toke Høiland-Jørgensen from comment #2)
> > Created attachment 7064 [details]
> > v2 of patch, making the base translation be ø -> oe
> > 
> > Fine with me; v2 of the patch just does ø -> oe for the base transliteration.
> 
> Keld,
> 
> Given that you've reviewed this issue; if you would like to help with the
> project I would be more than happy to have you as a maintainer with the ability
> to commit to the repository. We need more help in all areas and an experienced
> person like yourself could do wonders to improve our localization efforts. I
> would be more than happy to have you involved.

Well, I could do that. I have a plan to update some copyrights anyway on the locales I did,
so I should probably do more of this work.

best regards
keld
Comment 5 Carlos O'Donell 2013-06-08 14:25:39 IST
> Well, I could do that. I have a plan to update some copyrights anyway on the
> locales I did, so I should probably do more of this work.

I assume you are talking about this thread?
http://sourceware.org/ml/libc-alpha/2013-02/msg00433.html

If you would like commit access please start with a sourceware account:
http://sourceware.org/glibc/wiki/MAINTAINERS#Accounts_on_Sourceware.org

The whole process is here and is usually complete in 24-48 hours:
http://sourceware.org/glibc/wiki/MAINTAINERS#Becoming_a_maintainer

I'll refrain from posting to this bug, since this is now rather off-topic.
Comment 6 Toke Høiland-Jørgensen 2013-07-23 14:02:45 IST
So, any chance of getting this patch merged? :)
Comment 7 Carlos O'Donell 2013-07-23 23:20:51 IST
(In reply to Toke Høiland-Jørgensen from comment #6)
> So, any chance of getting this patch merged? :)

At some point yes.

Please post the patch to the mailing list and add your patch to the "Pending Reviews" list:
http://sourceware.org/glibc/wiki/Pending%20Reviews

That way it gets more visbility and potentially someone reviews it.
Comment 8 Toke Høiland-Jørgensen 2013-07-24 12:38:56 IST
Right, posted to the mailing list (http://sourceware.org/ml/libc-alpha/2013-07/msg00469.html). Can't edit the wiki page; it says 'immutable page'.
Comment 9 Carlos O'Donell 2013-07-24 18:52:47 IST
(In reply to Toke Høiland-Jørgensen from comment #8)
> Right, posted to the mailing list
> (http://sourceware.org/ml/libc-alpha/2013-07/msg00469.html). Can't edit the
> wiki page; it says 'immutable page'.

See:
http://sourceware.org/glibc/wiki/#EditingTheWiki
Comment 10 Toke Høiland-Jørgensen 2013-07-27 12:01:33 IST
Right; well seeing as you're in the EditorGroup, I don't suppose you could add me? User name TokeHøiland-Jørgensen :)
Comment 11 Carlos O'Donell 2013-07-30 07:52:22 IST
(In reply to Toke Høiland-Jørgensen from comment #10)
> Right; well seeing as you're in the EditorGroup, I don't suppose you could
> add me? User name TokeHøiland-Jørgensen :)

Done :-)
Comment 12 Toke Høiland-Jørgensen 2013-10-07 08:30:04 IST
So, I tried adding it to the pending reviews wiki page, but it still won't let me. I'm assuming the wiki chokes on the dash in my username. I'm at a bit of a loss as to how to proceed to actualy get this patch merged...
Comment 13 Carlos O'Donell 2013-10-09 15:29:44 IST
(In reply to Toke Høiland-Jørgensen from comment #12)
> So, I tried adding it to the pending reviews wiki page, but it still won't
> let me. I'm assuming the wiki chokes on the dash in my username. I'm at a
> bit of a loss as to how to proceed to actualy get this patch merged...

Can you confirm that your login name for the wiki is `TokeHøiland-Jørgensen'? You are the first person I've seen use UTF-8 characters in their name for a login. I've entered in your name exactly as you specified and it should work. Would you like to try without UTF-8 characters to see if it works then e.g. change your login name to `TokeHoiland-Jorgensen'. If that works then we can file a bug upstream with MoinMoin.

The next step for getting your patch checked in is to post it to libc-alpha@sourceware.org and if you did that then post it again with the word "Ping" added to your subject to indicate you're requesting a review for the second time.

Please make sure you follow all the steps here:
http://sourceware.org/glibc/wiki/Contribution%20checklist

The more steps you follow the easier it is for a project member to review your changes. The most important steps include writing up a rationale (including any standards references) for the change and how it was tested.
Comment 14 Toke Høiland-Jørgensen 2013-10-16 11:39:47 IST
Right, I've changed my wiki username to be 'TokeHoeiland-Joergensen' -- could you edit the name on the editor's page, please? :)
Comment 15 Carlos O'Donell 2013-10-16 15:35:36 IST
(In reply to Toke Høiland-Jørgensen from comment #14)
> Right, I've changed my wiki username to be 'TokeHoeiland-Joergensen' --
> could you edit the name on the editor's page, please? :)

Done. Tell me if that works.
Comment 16 Toke Høiland-Jørgensen 2013-10-16 17:36:01 IST
Nope, still doesn't. Removed the dash (new name TokeHoeilandJoergensen); try that? :)
Comment 17 Carlos O'Donell 2013-10-17 00:30:45 IST
(In reply to Toke Høiland-Jørgensen from comment #16)
> Nope, still doesn't. Removed the dash (new name TokeHoeilandJoergensen); try
> that? :)

Done. Try again?
Comment 18 Toke Høiland-Jørgensen 2013-10-17 08:13:00 IST
Now it works; thanks. Added this bug to the PendingReviews page, and will go through the rest of your list as well... :)
Comment 19 Toke Høiland-Jørgensen 2013-10-28 13:18:14 IST
Created attachment 7258 [details]
Updated patch adding data to translit_neutral file

After comments on the mailing list, here's an updated patch putting the transliteration data into the translit_neutral file. A corresponding changelog entry could look like this:

2013-10-28  Toke Høiland-Jørgensen <toke@toke.dk>

	[BZ #15593]
	* localedata/locales/translit_neutral: Add entries for U00D8
        and U00F8.


I'm hoping this will get the patch closer to inclusion... :)
Comment 20 Toke Høiland-Jørgensen 2013-11-24 00:05:49 IST
So, any news on getting this merged? :)
Comment 21 Carlos O'Donell 2013-12-10 06:10:25 IST
(In reply to Toke Høiland-Jørgensen from comment #20)
> So, any news on getting this merged? :)

This is still on my list to test and checkin. I'm adding Chris Leonard to the CC since he might have more time than me to review this and check it in.
Comment 22 Chris Leonard 2013-12-12 20:20:03 IST
closed with commit f208205092684439ccd328831aff38418ac34927